Subject: bug#61036: closed (Re: [PATCH 1/2] gnu: zig: Update to 0.10.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Jun 2023 05:58:02 +0000

Your bug report

#61036: [PATCH 0/3] Update zig to 0.10.1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61036: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61036
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/2] gnu: zig: Update to 0.10.1.
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Tue, 6 Jun 2023 08:57:03 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Patch was pushed a few months ago. Closing!

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH 0/3] Update zig to 0.10.1
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Cc: Efraim Flashner <[email-masked]>
Date: Tue, 24 Jan 2023 11:42:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

After looking heavily through the sources I'm of the opinion that zig
0.10.1 doesn't use the new binary bootstrap that they've developed.

I'm unsure what to do with $output/bin/zig not finding ld-linux in its
RUNPATH, but it's the only thing that's left me unhappy.

I wasn't sure if we wanted to keep 0.9 around also, but I didn't want to
be responsible for updating zig-zls so I figured we'd keep it for now,
especially since they make a point of saying that the language isn't
finalized at its 1.0 release yet.

Efraim Flashner (2):
  gnu: zig: Update to 0.10.1.
  gnu: ncdu: Update to 2.2.2.

 gnu/packages/ncdu.scm    |   6 +--
 gnu/packages/zig-xyz.scm |   2 +-
 gnu/packages/zig.scm     | 100 +++++++++++++++++++++++++++++++--------
 3 files changed, 85 insertions(+), 23 deletions(-)

base-commit: 5965d74c8ce53d0861af9ad3744844ac925c4a12
-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted